/* meko
 * Copyright (C) 2001 Scott James Remnant <scott@netsplit.com>.
 * All Rights Reserved.
 *
 * say2_client.h
 * -- 
 * $Id: say2_client.h,v 1.2 2001/06/13 11:53:40 scott Exp $
 * 
 * This file is distributed according to the GNU General Public
 * License.  For full details, read the top of 'main.c' or the
 * file called COPYING that was distributed with this code.
 */

#ifndef _MEKO_SAY2_CLIENT_H
#define _MEKO_SAY2_CLIENT_H

/* Required includes */
#include <glib.h>
#include "say2_types.h"
#include "whois_info.h"

/* Create a Say2Client structure, optionally from a whois */
Say2Client *say2_client_new(void);
Say2Client *say2_client_new_from_whois(const WhoisInfo *);
void        say2_client_copy_from_whois(Say2Client *, const WhoisInfo *);

/* Reference and unreference a Say2Client structure */
void say2_client_ref(Say2Client *);
void say2_client_unref(Say2Client *);

#endif /* !_MEKO_SAY2_CLIENT_H */
