/* meko
 * Copyright (C) 2001 Scott James Remnant <scott@netsplit.com>.
 * All Rights Reserved.
 *
 * say2_server.h
 * -- 
 * $Id: say2_server.h,v 1.5 2001/06/13 11:53:40 scott Exp $
 * 
 * This file is distributed according to the GNU General Public
 * License.  For full details, read the top of 'main.c' or the
 * file called COPYING that was distributed with this code.
 */

#ifndef _MEKO_SAY2_SERVER_H
#define _MEKO_SAY2_SERVER_H

/* Required includes */
#include <glib.h>
#include "say2_types.h"

/* Types of userlist update */
typedef enum {
	SAY2_USERLIST_NEW,
	SAY2_USERLIST_REMOVE,
	SAY2_USERLIST_STATUS,
	SAY2_USERLIST_NICK,
	SAY2_USERLIST_WHOIS
} Say2ServerULUpdate;

/* Create a Say2Server and connect to the given hostname and optional port */
Say2Server *say2_server_new(const gchar *, const gchar *);

/* Set who we log in as */
void say2_server_set_login(Say2Server *, const gchar *, const gchar *);
void say2_server_set_guest(Say2Server *, const gchar *, const gchar *,
			   const gchar *);

/* Send a correctly built login command to the server */
void say2_server_send_login(Say2Server *);

/* Reference and unreference a Say2Server structure */
void say2_server_ref(Say2Server *);
void say2_server_unref(Say2Server *);

/* User list update function.  Lots of strange semantics for this */
Say2Client *say2_server_userlist_update(Say2Server *, Say2ServerULUpdate,
					const gchar *, void *);

#endif /* !_MEKO_SAY2_SERVER_H */
